Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.interfaces
Interface RSAPrivateKey

All Superinterfaces:
  Key, PrivateKey, RSAKey, Serializable

All Known Subinterfaces:
  RSAMultiPrimePrivateCrtKey, RSAPrivateCrtKey

    public interface RSAPrivateKey

extends PrivateKey, RSAKey

The interface to an RSA private key.

See Also:
  `RSAPrivateCrtKey`

Field Summary
`static long` | `serialVersionUID`

Method Summary
`BigInteger` | `getPrivateExponent()` Returns the private exponent.

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

Methods inherited from interface java.security.interfaces.RSAKey
`getModulus`

Field Detail

### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

Method Detail

### getPrivateExponent

    BigInteger getPrivateExponent()

  Returns the private exponent.

  Returns:
    the private exponent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.